<?php

$photos = '';
for ($i = 1; $i <= 6; $i++) {
    $photos .= <<<EOL
<image imageURL="images/pic{$i}.jpg" thumbURL="thumbs/{$i}.jpg" linkURL="images/{$i}.jpg" linkTarget="_blank" sourcePath="images/{$i}.jpg">
    <title><![CDATA[Image {$i}]]></title>
    <caption><![CDATA[]]></caption>
</image>
EOL;
}

header('Content-Type: text/xml; charset=UTF-8');
echo <<<EOF
<?xml version="1.0" encoding="UTF-8"?>
<juiceboxgallery backgroundColor="rgba(255,255,255,1)" 
    captionPosition="BELOW_IMAGE" 
    galleryWidth="1024" galleryHeight="900" 
    buttonBarPosition="TOP" 
    imageNavPosition="IMAGE" imageNavPadding="60" 
    imageTransitionType="CROSS_FADE" imageTransitionTime="0.3" 
    showImageOverlay="AUTO" 
    galleryTitle="Demo album photos" galleryTitlePosition="TOP" 
    textColor="rgba(255,255,255,1)" 
    galleryFontFace="sans-serif" 
    textShadowColor="rgba(0,0,0,0)" 
    buttonBarBackColor="rgba(0,0,0,.4)" 
    navButtonBackColor="rgba(0,0,0,0.4)" navButtonIconColor="rgba(255,255,255,1)" 
    maxCaptionHeight="25" 
    captionBackColor="rgba(0,0,0,0)" 
    importTitle="NONE" 
    topBackColor="rgba(255,0,0,0)" 
    topAreaHeight="54" 
    showOpenButton="false" 
    imageShadowColor="rgba(0,0,0,0)" thumbShadowColor="rgba(0,0,0,0)" 
    shareTwitter="false" shareFacebook="false" shareTumblr="false" 
    imageShadowBlur="0" 
    enableAutoPlay="false" showAutoPlayButton="false" 
    maxImageWidth="1280" maxImageHeight="200" 
    useFullscreenExpand="true">
  {$photos}
</juiceboxgallery>
EOF;
